/**
Theme Name: Bungay Town Trust
Author: PSLWeb
Author URI: https://pslweb.co.uk/
Description: Hello Elementor Child There for PSLWeb
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: pslweb
Template: hello-elementor
*/

/* Styling for the Header */
.btt-outline-black h1 {
    text-shadow: -2px -2px 2px #111, 2px -2px 2px #111, -2px 2px 2px #111, 2px 2px 2px #111 !important;
}
.btt-drop-shadow {
    box-shadow: 4px 4px 4px #CCC !important;
}
header p.main-title main div.page-header { /* Fix hidden header page title paragraph having a margin-bottom */
    display: none !important;
}
header img {
    display: block !important;
}
/* Make the Menu Icon (hamburger and close) have a black background on hover state */
.btt-header-nav-menu .hfe-nav-menu-icon:hover {
    background-color: #000 !important;
}
/* Make (Mobile) third-tier navigation text more indented (left-padding) than second-tier (it was the same before) */
@media (max-width: 1024px) { /* Desktop */
    nav ul ul ul a.hfe-sub-menu-item {
	padding-left: 70px !important;
    }
}

/* Posts  - Note the following classes are set in the functions.php file (shortcode) and not in Elementor */
.btt-post-item-box { /* Mobile */
    display: flex;
    justify-content: space-between;
    margin-bottom: 45px;
    flex-direction: column-reverse; /* Show the text before the featured image */
}
@media (min-width: 768px) { /* Tablet and Desktop */
    .btt-post-item-box {
	flex-direction: row;
    }
}
.btt-post-item-box-img {
    flex-basis: 37%;
    box-shadow: 3px 3px 3px #DDD !important;
    border: 1px solid #555;
}
.btt-post-item-box-img img {
    display: block;
    width: 100%;
    flex-basis: 100%;
    height: 100%;
    object-fit: cover;
}
.btt-post-item-box-text {
    flex-basis: 60%;
}

/* Styling the WPForms Grant Application Form */
.btt-grant-form {
    margin-top: 0 !important;
}

/* Make the Footer Menu have a black background on hover state (Elementor Hover changes not working) */
.btt-footer-nav-menu .menu-item:hover {
    background-color: #252525 !important;
}

.btt-breadcrumbs .hfe-breadcrumbs-item span {
    font-size: 1rem !important;
}
.btt-search-input .hfe-search-form__input {
    padding: 3px 6px !important;
    font-size: 1rem !important;
}

/* Style links on the Search Results page */
.search-results .post .entry-title a {
    text-decoration: underline !important;
}
.search-results .post .entry-title a:hover {
    text-decoration: none !important;
}

/*.btt-header-gradient {
    background-color: #000000 !important;
    background: linear-gradient(to bottom,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0) 100%, rgba(237, 221, 83, 0) 100%) !important;
}*/

/* Change spacing between list items in the Elementor Text Editor Widget */
.elementor-widget-text-editor li {
    margin-bottom: 0.5rem !important;
}

/* Remove top margin of second UL in nested ULs */
.elementor-widget-text-editor ul {
    margin-top: 0.5rem !important;
}

/* For the two-column boxes, remove the bottom margin from the last paragraph (so it balances justify centre) */
.btt-box-last-para p:last-of-type {
    margin-bottom: 0 !important;
}

/* Remove margin bottom from last block element in the Text Editor Widget */
.elementor-widget-text-editor *:last-child {
    margin-bottom: 0 !important;
}

.elementor-widget-text-editor ul {
    margin: 1.4rem 0;
}

/* Styling the Main Navigation drop down menu arrows */
.hfe-nav-menu__layout-horizontal .hfe-nav-menu .sub-arrow {
    margin-left: 5px !important;
}
.hfe-nav-menu .sub-arrow {
    font-size: 18px !important;
}

/* Styling the Visual Link (cards) */
.btt-container-link {
    text-decoration: none !important;
    margin-bottom: 1.8rem;
    padding-bottom: 0;
}
.btt-container-link:hover {
    text-decoration: underline !important;
}
@media (min-width: 1024px) { /* Tablet and Desktop */
    .btt-container-link:hover {
	transform: scale(1.075) !important;
    }
}
.btt-container-link:hover img {
    filter: sepia(1) !important;
    transition: filter 750ms !important;
}

/*a[data-e-type="container"] img {
    transition: all .5s ease !important;
}
a[data-e-type="container"]:hover img {
    transform: scale(1.1) !important;
}*/

/* Add a PDF Icon to links to PDF files */
a[href$=".pdf"] {
    background: url(images/pdficon.png) no-repeat left 2px !important;
    padding: 3px 0 3px 28px !important;
}

.wpforms-container {
    margin-top: 0 !important;
}